# ===================================================================
# Spring Boot configuration for the "dev" profile.
#
# This configuration overrides the application.yml file.
#
# More information on profiles: https://www.jhipster.tech/profiles/
# More information on configuration properties: https://www.jhipster.tech/common-application-properties/
# ===================================================================

# ===================================================================
# Standard Spring Boot properties.
# Full reference is available at:
# http://docs.spring.io/spring-boot/docs/current/reference/html/common-application-properties.html
# ===================================================================

logging:
  level:
    ROOT: DEBUG
    io.github.jhipster: DEBUG
    com.attijeri.tfs: DEBUG

spring:
  profiles:
    active: dev
    include:
      - swagger
      - no-liquibase
      # Uncomment to activate TLS for the dev profile
      #- tls
  devtools:
    restart:
      enabled: true
      additional-exclude: static/**
    livereload:
      enabled: false # we use Webpack dev server + BrowserSync for livereload
  jackson:
    serialization:
      indent-output: true
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    url: jdbc:oracle:thin:@localhost:1521:xe
    username: tfs_recette
    password: attijari
    hikari:
      poolName: Hikari
      auto-commit: false
  jpa:
    show-sql: true
    #hibernate.ddl-auto: create-drop
    hibernate:
      envers:
        store_data_at_delete: true
  liquibase:
    # Remove 'faker' if you do not want the sample data to be loaded automatically
    contexts: dev, faker
  mail:
    host: localhost
    port: 25
    username:
    password:
  messages:
    cache-duration: PT1S # 1 second, see the ISO 8601 standard
  thymeleaf:
    cache: false

server:
  port: 9090

# ===================================================================
# JHipster specific properties
#
# Full reference is available at: https://www.jhipster.tech/common-application-properties/
# ===================================================================

jhipster:
  # CORS is only enabled by default with the "dev" profile, so BrowserSync can access the API
  cors:
    allowed-origins: '*'
    allowed-methods: '*'
    allowed-headers: '*'
    exposed-headers: 'Link,X-Total-Count'
    allow-credentials: true
    max-age: 1800
  security:
    remember-me:
      # security key (this key should be unique for your application, and kept secret)
      key: 06b93d706a01bbd48b5c0a0342f781554f56dae4731d973ec7545d977aa6fc1761bca4e15b1e77de7854e8a49040bb43122b
  mail: # specific JHipster mail property, for standard properties see MailProperties
    base-url: http://127.0.0.1:4200
  metrics:
    logs: # Reports metrics in the logs
      enabled: false
      report-frequency: 60 # in seconds
  logging:
    use-json-format: false # By default, logs are not in Json format
    logstash: # Forward logs to logstash over a socket, used by LoggingConfiguration
      enabled: false
      host: localhost
      port: 5000
      queue-size: 512
  audit-events:
    retention-period: 30 # Number of days before audit events are deleted.

# ===================================================================
# Application specific properties
# Add your own application properties here, see the ApplicationProperties class
# to have type-safe configuration, like in the JHipsterProperties above
#
# More documentation is available at:
# https://www.jhipster.tech/common-application-properties/
# ===================================================================

# application:
ftp:
  host: 41.231.54.78
  port: 21
  user: attijari
  password: corporate
middleware:
  protocol: http://
  host: 172.28.11.33
  port: 7080
  username: 398a73892d0e93bb88bf714767f8992a
  password: 8ed2939104b97dce8fbcd7643245a1ff
  uri:
    systeme: ABTServiceMiddleware/systeme
    delta: ABTServiceMiddleware/delta
    idc: ABTServiceMiddleware/idc
  authorization: Basic Mzk4YTczODkyZDBlOTNiYjg4YmY3MTQ3NjdmODk5MmE6OGVkMjkzOTEwNGI5N2RjZThmYmNkNzY0MzI0NWExZmY=
java:
  naming:
    factory:
      initial: com.sun.jndi.ldap.LdapCtxFactory
    security:
      authentication: simple
      principal: bank-sud\
    referral: follow
    provider:
      url: ldap://172.28.14.97:389
